package com.heyu.api.data.enums;

public enum BankCardTypeEnums {


    _C("", "0", "", "0", "不能识别"),

    _C1("", "1", "", "1", "借记卡"),


    CC("CC", "2", "", "2", "贷记卡"),

    SCC("SCC", "3", "", "3", "准贷记卡"),

    PC("PC", "4", "", "4", "预付卡"),

    DCC("DCC", "", "", "5", "存贷合一卡"),

    DC("DC", "", "", "6", "储蓄卡"),
    ;


    private String alibaba;

    private String baidu;

    private String tencent;

    private String result;


    private String desc;


    BankCardTypeEnums(String alibaba, String baidu, String tencent, String result, String desc) {
        this.alibaba = alibaba;
        this.baidu = baidu;
        this.tencent = tencent;
        this.result = result;
        this.desc = desc;
    }



    public static BankCardTypeEnums getBaidu(String key ) {

        for (BankCardTypeEnums bankCardTypeEnums : BankCardTypeEnums.values()) {
            if(bankCardTypeEnums.baidu.equals(key)) {
                return bankCardTypeEnums;
            }
        }
        return BankCardTypeEnums._C;
    }


    public static BankCardTypeEnums getAlibbaba(String key ) {
        for (BankCardTypeEnums bankCardTypeEnums : BankCardTypeEnums.values()) {
            if(bankCardTypeEnums.alibaba.equals(key)) {
                return bankCardTypeEnums;
            }
        }
        return BankCardTypeEnums._C;
    }



    public String getResult() {
        return result;
    }


    public String getDesc() {
        return desc;
    }

}
